<?
include_once("mysql.php");
include 'include/zag2.php';
include 'include/ini.php';
include_once("include/sesi.php");
if (isset($user)) {
include_once("include/udata.php");
if(empty($udata[23])){echo"<small>Вы не в клане!</small>"; include_once"include/down.php"; exit;}

switch($go) {

default:
if($udata[23]=="$log"){echo"<small><a href=\"clanroom.php?$sd&go=deskto\">Вывесить объявление</a>
<br/><a href=\"clanroom.php?$sd&go=site\">Вывесить сайт клана</a><br/><a href=\"clanroom.php?$sd&go=my\">Взять деньги</a></small><br/>";}
if(@file("MySql/base123/clan/desk/$udata[23].dat")){

$text = @file("MySql/base123/clan/desk/$udata[23].dat");
$text = explode("||",$text[0]);

echo"<small>$text[0]<br/>- - - -<br/></small>";}

if(@file("MySql/base123/clan/site/$udata[23].dat")){

$text = @file("MySql/base123/clan/site/$udata[23].dat");
$text = explode("||",$text[0]);

echo"<small><a href=\"$text[0]\">Сайт клана</a><br/>- - - -<br/></small>";}

if(@file("MySql/base123/clan/$udata[23].dat")){

$text = @file("MySql/base123/clan/$udata[23].dat");
$text = explode(":||:",$text[0]);
echo"<small>Уровень клана: $text[3]</small><br/>";}
$bank = @file("MySql/base123/clan/bank/$udata[23].dat");
$bank = explode("||",$bank[0]);
if(empty($bank[0])){$bank[0]="0";}
echo"<small>Капитал клана: $bank[0] аден<br/>
<a href=\"clan.php?$sd&go=items\">Положить вещи на склад клана</a><br/>
<a href=\"clan.php?$sd&go=sklad\">Взять вещи со склад клана</a><br/>
<a href=\"clanroom.php?$sd&go=bankadd\">Положить денег</a><br/>
<a href=\"clanroom.php?$sd&go=logs\">Лог операций с деньгами</a><br/>
<a href=\"clanroom.php?$sd&go=who\">Кто в клане</a><br/></small>";
if(@file("MySql/base123/clan/clanholl/$udata[23].dat")){
echo"<small><a href=\"auctioner.php?$sd&go=clanholl\">Clan Holl</a></small><br/>";}
if(@file("MySql/base123/clan/$log.dat")){
echo"<small><a href=\"clan.php?$sd\">Управление кланом</a></small><br/>";}

$file = @file("MySql/base123/clan/chat/$udata[23].dat");
if(empty($file)){echo"<small>В клан-чате сообщений нет.</small>";}
$total = count($file);
if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + 5){ $end = $total; }
else {$end = $start + 5; }
for ($i = $start; $i < $end; $i++){

$file = @file("MySql/base123/clan/chat/$udata[23].dat");
$file = @array_reverse($file);
$data = explode("#",$file[$i]);
$i2=round($i+1);

$data[6]=str_replace("\r\n", "", $data[6]);

$elita=mysql_query("SELECT * FROM `table_admin` WHERE `nick`='$data[1]' LIMIT 1");
if(mysql_num_rows($elita)==1){
if(!empty($data[1])){
echo"<br/><small><a href=\"search.php?$sd&go=go&nick=$data[1]\"><font color=lime>$data[1]</font></a> ($data[2]/$data[3])</small> - <small>$data[0]</small>";}}else{
$elita=mysql_query("SELECT * FROM `table_moder` WHERE `nick`='$data[1]' LIMIT 1");
if(mysql_num_rows($elita)==1){
if(!empty($data[1])){
echo"<br/><small><a href=\"search.php?$sd&go=go&nick=$data[1]\"><font color=blue>$data[1]</font></a> ($data[2]/$data[3])</small> - <small>$data[0]</small>";}}else{
if(@file("MySql/base123/rating/olimpiads/$data[1].dat")){
if(!empty($data[1])){
echo"<br/><small><a href=\"search.php?$sd&go=go&nick=$data[1]\"><font color=#C71585>$data[1]</font></a> ($data[2]/$data[3])</small> - <small>$data[0]</small>";}}else{
if(!empty($data[1])){
echo"<br/><small><a href=\"search.php?$sd&go=go&nick=$data[1]\">$data[1]</a> ($data[2]/$data[3])</small> - <small>$data[0]</small>";}}}}

}
echo "<br/><b><small>= = = =</small></b>";
echo "<form action=\"clanroom.php?$sd&go=add\" method=\"post\"><br/><input name=\"msg$ref\" maxlength=\"200\" title=\"msg\"/><br/><input type=\"hidden\" name=\"self\" value=\"$self\"/>";
echo '<input type="submit" value="Написать" /></form>';

if ($start != 0) {echo '<small><a href="clanroom.php?start='.($start - 5).'&'.$sd.'">Назад</a></small> ';}else{echo'<small>= = = =</small><br/>';}

if ($total > $start + 5) {echo ' <small><a href="clanroom.php?start='.($start + 5).'&'.$sd.'">Далее</a></small>';}

echo"<br/><small><a href=\"clanroom.php?$sd&ref=$ref\">Обновить</a></small><br/>";


break;

case 'site':

if($udata[23]!==$log){ echo"Вы не имеете право размещать объявления!"; include_once"include/down.php"; exit;}

echo "<form action=\"clanroom.php?go=go&".$sd."&go=addsite\" method=\"post\"><small>Текст:</small><br/>";
echo "<input name=\"text\" maxlength=\"100\" value=\"http://\" title=\"name\"/><br/>";
echo '<input type="submit" value="OK" /></form>';

break;

case 'deskto':

if($udata[23]!==$log){ echo"Вы не имеете право размещать объявления!"; include_once"include/down.php"; exit;}

echo "<form action=\"clanroom.php?go=go&".$sd."&go=desksave\" method=\"post\"><small>Текст:</small><br/>";
echo "<input name=\"text\" maxlength=\"200\" title=\"name\"/><br/>";
echo '<input type="submit" value="OK" /></form>';

break;


case 'addsite':

if($udata[23]!==$log){ echo"Гг не взломаеш! Вы не имеете право размещать сайт клана!"; include_once"include/down.php"; exit;}

$text=htmlspecialchars(addslashes(stripslashes($_POST[text])));

$go="$text||";

$fp=fopen("MySql/base123/clan/site/$log.dat","w");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$go");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
chmod ("MySql/base123/clan/site/$log.dat", 0666);

echo"<small>Сайт клана успешно размещен.</small>";

break;

case 'desksave':

if($udata[23]!==$log){ echo"Вы не имеете право размещать объявления!"; include_once"include/down.php"; exit;}

$text=htmlspecialchars(addslashes(stripslashes($_POST[text])));

$go="$text||";

$fp=fopen("MySql/base123/clan/desk/$log.dat","w");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$go");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
chmod ("MySql/base123/clan/desk/$log.dat", 0666);

echo"<small>Объявление размещено.</small>";

break;

case 'add':

$u1=getenv('HTTP_USER_AGENT');
$brow=strtok($u1,'/');
if (getenv("HTTP_X_FORWARDED_FOR"))
{ $ip=getenv("HTTP_X_FORWARDED_FOR"); }
else { $ip=$_SERVER['REMOTE_ADDR']; }


$ip=htmlspecialchars(stripslashes($ip));
$brow=htmlspecialchars(stripslashes($brow));
$brow=str_replace("|","",$brow);
$ip=str_replace("|","",$ip);
$brow=str_replace("#","",$brow);
$ip=str_replace("#","",$ip);

require_once "include/flood.php";
if (CheckIP ()){ echo"<b>[Guard Plamens]</b> Уважаемый $log пожалуйста не флуди, а то мне придеться тебя наказать."; echo "</p></card></wml>"; exit;}

require_once "include/translit.php";
if(ereg("[а-яА-Я]",$msg)){}else{
$msg=str_replace($trans1,$trans2,$msg);}

$msg=eregi_replace("((https?|ftp|http)://[[:alnum:]_=/-]+(\\.[[:alnum:]_=/-]+)*(/[[:alnum:]+&._=/%]*(\\?[[:alnum:]?+&_=/%]*)?)?).(ru|org|net|info|com)", "Реклама запрещена", $msg);
$msg=eregi_replace("([[:alnum:]_=/-]+(\\.[[:alnum:]_=/-]+)*(/[[:alnum:]+&._=/%]*(\\?[[:alnum:]?+&_=/%]*)?)?).(ru|org|net|info|com)", "Реклама запрещена", $msg);

$msg=stripslashes($msg);
$msg=htmlspecialchars($msg);
$msg=str_replace("\\","",$msg);
$msg=str_replace("/","",$msg);
$msg=str_replace("|","",$msg);
$msg=str_replace("$","",$msg);
$msg=str_replace("&","",$msg);
$msg=str_replace("<","",$msg);
$msg=str_replace(">","",$msg);
$msg=str_replace("#","",$msg);
$log=str_replace("#","",$log);
//////////////////////////////////
if ($msg == "" || strlen($msg) > 250 || strlen($msg) < 1) { echo"<small>Сообщение длинное или короткое!</small>"; echo "</p></card></wml>"; exit;}

$date=date("d.m.y");
$time=date("H:i");

if(@file("MySql/base123/admin/$log.dat")){
$msg="<font color=red>$msg</font>";}

$text="$msg#$log#$date#$time#";
$text=str_replace("\r\n", "", $text);


$fp=fopen("MySql/base123/clan/chat/$udata[23].dat","a");
flock ($fp,LOCK_EX);
fputs($fp,"$text\r\n");
flock ($fp,LOCK_UN);
fclose($fp);



$file=file("MySql/base123/clan/chat/$udata[23].dat"); $i = count($file);
if ($i>=100) {
$fp=fopen("MySql/base123/clan/chat/$udata[23].dat","w");
flock ($fp,LOCK_EX);
unset($file[0]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);
}



echo"<small>Сообщение добавлено!</small>";
echo"<br/><small><a href=\"clanroom.php?$sd&ref=$ref\">Продолжить</a></small><br/>";



break;

case 'bankadd':

echo "<form action=\"clanroom.php?go=go&".$sd."&go=addbank\" method=\"post\"><small>Сколько?:</small><br/>";
echo "<input name=\"kol\" maxlength=\"20\" title=\"name\"/><br/>";
echo '<input type="submit" value="OK" /></form>';

break;

case 'addbank':

$bank=$udata[23];

if($udata[8]<$_POST[kol]){echo"<small>У вас нет $kol аден.</small>"; include_once"include/down.php"; exit;}

if(eregi("[^0-9]",$_POST[kol])){echo"<small>Вводите число, а не буквы!</small>"; include_once"include/down.php"; exit;}

$fal = @file("MySql/base123/clan/bank/$bank.dat");
$udata = explode("||",$fal[0]);

$udata[0]=$udata[0]+$_POST[kol];

$text="$udata[0]||";

$fp=fopen("MySql/base123/clan/bank/$bank.dat","a+");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
chmod ("MySql/base123/clan/bank/$bank.dat", 0666);

$fal = @file("MySql/base123/reg/$log.dat");
$udata = explode(":||:",$fal[0]);

$udata[8]=$udata[8]-$kol;
$text=$udata[0].':||:'.$udata[1].':||:'.$udata[2].':||:'.$udata[3].':||:'.$udata[4].':||:'.$udata[5].':||:'.$udata[6].':||:'.$udata[7].':||:'.$udata[8].':||:'.$udata[9].':||:'.$udata[10].':||:'.$udata[11].':||:'.$udata[12].':||:'.$udata[13].':||:'.$udata[14].':||:'.$udata[15].':||:'.$udata[16].':||:'.$udata[17].':||:'.$udata[18].':||:'.$udata[19].':||:'.$udata[20].':||:'.$udata[21].':||:'.$udata[22].':||:'.$udata[23].':||:'.$udata[24].':||:'.$udata[25].':||:'.$udata[26].':||:'.$udata[27].':||:'.$udata[28].':||:'.$udata[29].':||:'.$udata[30].':||:'.$udata[31].':||:'.$udata[32].':||:'.$udata[33].':||:'.$udata[34].':||:'.$udata[35].':||:'.$udata[36].':||:'.$udata[37].':||:'.$udata[38].':||:'.$udata[39].':||:'.$udata[40].':||:'.$udata[41].':||:'.$udata[42].':||:'.$udata[43].':||:'.$udata[44].':||:'.$udata[45].':||:'.$udata[46].':||:'.$udata[47].':||:'.$udata[48].':||:'.$udata[49].':||:'.$udata[50].':||:'.$udata[51].':||:'.$udata[52].':||:'.$udata[53].':||:'.$udata[54].':||:'.$udata[55].':||:'.$udata[56].':||:'.$udata[57].':||:'.$udata[58].':||:'.$udata[59].':||:'.$udata[60].':||:'.$udata[61].':||:'.$udata[62].':||:'.$udata[63].':||:'.$udata[64].':||:'.$udata[65].':||:'.$udata[66].':||:'.$udata[67].':||:'.$udata[68].':||:'.$udata[69].':||:'.$udata[70].':||:'.$udata[71].':||:'.$udata[72].':||:'.$udata[73].':||:'.$udata[74].':||:'.$udata[75].':||:'.$udata[76].':||:'.$udata[77].':||:'.$udata[78].':||:'.$udata[79].':||:'.$udata[80].':||:'.$udata[81].':||:'.$udata[82].':||:'.$udata[83].':||:'.$udata[84].':||:'.$udata[85].':||:'.$udata[86].':||:'.$udata[87].':||:'.$udata[88].':||:'.$udata[89].':||:'.$udata[90].':||:'.$udata[91].':||:'.$udata[92].':||:'.$udata[93].':||:'.$udata[94].':||:'.$udata[95].':||:'.$udata[96].':||:'.$udata[97].':||:'.$udata[98].':||:'.$udata[99].':||:'.$udata[100].':||:'
;

$fp=fopen("MySql/base123/reg/$log.dat","a+");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);


$fp=@fopen("MySql/base123/clan/logs/$udata[23].dat","a+");
fputs($fp,"$log положил $kol Aden.||\r\n");
flock($fp,LOCK_UN);
fclose($fp);
chmod ("MySql/base123/clan/logs/$udata[23].dat", 0666);

echo"<small>Вы успешно вложили в капитал клана $kol аден.</small>";

break;

case 'my':

echo "<form action=\"clanroom.php?go=go&".$sd."&go=mybank\" method=\"post\"><small>Сколько?:</small><br/>";
echo "<input name=\"kol\" maxlength=\"20\" title=\"name\"/><br/>";
echo '<input type="submit" value="OK" /></form>';
break;

case 'mybank':

$bank=$udata[23];

$fal = @file("MySql/base123/clan/bank/$bank.dat");
$udata = explode("||",$fal[0]);

if($_POST[kol]>$udata[0]){echo"<small>У клана нет столько денег!</small>"; include_once"include/down.php"; exit;}

if(eregi("[^0-9]",$_POST[kol])){echo"<small>Вводите число, а не буквы!</small>"; include_once"include/down.php"; exit;}

$fal = @file("MySql/base123/clan/bank/$bank.dat");
$udata = explode("||",$fal[0]);

$udata[0]=$udata[0]-$_POST[kol];

$text="$udata[0]||";

$fp=fopen("MySql/base123/clan/bank/$bank.dat","a+");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
chmod ("MySql/base123/clan/bank/$bank.dat", 0666);

$fal = @file("MySql/base123/reg/$log.dat");
$udata = explode(":||:",$fal[0]);

$udata[8]=$udata[8]+$kol;

$text=$udata[0].':||:'.$udata[1].':||:'.$udata[2].':||:'.$udata[3].':||:'.$udata[4].':||:'.$udata[5].':||:'.$udata[6].':||:'.$udata[7].':||:'.$udata[8].':||:'.$udata[9].':||:'.$udata[10].':||:'.$udata[11].':||:'.$udata[12].':||:'.$udata[13].':||:'.$udata[14].':||:'.$udata[15].':||:'.$udata[16].':||:'.$udata[17].':||:'.$udata[18].':||:'.$udata[19].':||:'.$udata[20].':||:'.$udata[21].':||:'.$udata[22].':||:'.$udata[23].':||:'.$udata[24].':||:'.$udata[25].':||:'.$udata[26].':||:'.$udata[27].':||:'.$udata[28].':||:'.$udata[29].':||:'.$udata[30].':||:'.$udata[31].':||:'.$udata[32].':||:'.$udata[33].':||:'.$udata[34].':||:'.$udata[35].':||:'.$udata[36].':||:'.$udata[37].':||:'.$udata[38].':||:'.$udata[39].':||:'.$udata[40].':||:'.$udata[41].':||:'.$udata[42].':||:'.$udata[43].':||:'.$udata[44].':||:'.$udata[45].':||:'.$udata[46].':||:'.$udata[47].':||:'.$udata[48].':||:'.$udata[49].':||:'.$udata[50].':||:'.$udata[51].':||:'.$udata[52].':||:'.$udata[53].':||:'.$udata[54].':||:'.$udata[55].':||:'.$udata[56].':||:'.$udata[57].':||:'.$udata[58].':||:'.$udata[59].':||:'.$udata[60].':||:'.$udata[61].':||:'.$udata[62].':||:'.$udata[63].':||:'.$udata[64].':||:'.$udata[65].':||:'.$udata[66].':||:'.$udata[67].':||:'.$udata[68].':||:'.$udata[69].':||:'.$udata[70].':||:'.$udata[71].':||:'.$udata[72].':||:'.$udata[73].':||:'.$udata[74].':||:'.$udata[75].':||:'.$udata[76].':||:'.$udata[77].':||:'.$udata[78].':||:'.$udata[79].':||:'.$udata[80].':||:'.$udata[81].':||:'.$udata[82].':||:'.$udata[83].':||:'.$udata[84].':||:'.$udata[85].':||:'.$udata[86].':||:'.$udata[87].':||:'.$udata[88].':||:'.$udata[89].':||:'.$udata[90].':||:'.$udata[91].':||:'.$udata[92].':||:'.$udata[93].':||:'.$udata[94].':||:'.$udata[95].':||:'.$udata[96].':||:'.$udata[97].':||:'.$udata[98].':||:'.$udata[99].':||:'.$udata[100].':||:'
;

$fp=fopen("MySql/base123/reg/$log.dat","a+");
flock($fp,LOCK_EX);
ftruncate($fp,0);
fputs($fp,"$text");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);

$fp=@fopen("MySql/base123/clan/logs/$udata[23].dat","a+");
fputs($fp,"$log взял $kol Aden.||\r\n");
flock($fp,LOCK_UN);
fclose($fp);
chmod ("MySql/base123/clan/logs/$udata[23].dat", 0666);

echo"<small>Вы успешно взяли $kol аден.</small>";

break;

case 'logs':

$fal = @file("MySql/base123/clan/logs/$udata[23].dat");
if(!$fal){echo"<small>Лог пуст!</small>";}
$total=count($fal);
$fal = @array_reverse($fal);

if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + 5){ $end = $total; }
else {$end = $start + 5; }
for ($i = $start; $i < $end; $i++){

$data = explode("||",$fal[$i]);

echo"<small>$data[0]</small><br/>";}

if ($start != 0) {echo '<small><a href="clanroom.php?start='.($start - 5).'&'.$sd.'&go=logs">Назад</a></small> ';}else{echo'<small>- - -</small><br/>';}

if ($total > $start + 5) {echo ' <small><a href="clanroom.php?start='.($start + 5).'&'.$sd.'&go=logs">Далее</a></small>';}
break;

case 'who':
echo"<small><b>Список соклановцев</b></small><br/>";
$fal = @file("MySql/base123/clan/name/$udata[23].dat");
if(!$fal){echo"<small>В клане никого нет.</small>";}
$total=count($fal);

for($i=0; $i<$total; $i++){

$data = explode("|",$fal[$i]);

$i2=$i+1;

$file = @file("MySql/base123/clan/name/$udata[23].dat");
$file = array_reverse($file);
$data = explode("|",$file[$i]);
$i2=round($i+1);

$id=$total-$i-1;

$data[1]=trim($data[1]);

echo"<small><b>$i2.</b> <small><a href=\"search.php?$sd&go=go&nick=$data[1]\">$data[1]</a></small>";
if(!@file("MySql/base123/other/$data[1].dat")){
echo"<small> Offline</small><br/>";}else{
$text = @file("MySql/base123/other/$data[1].dat");
$data = explode("||",$text[0]);
$time=time()-150;
if($data[0]>=$time){
echo"<small> [<font color=\"ADFF2F\">On-Line</font>]</small><br/>";}else{
echo"<small> [<font color=\"FF0000\">Offline</font>]</small><br/>";
}
}

}

break;
}
}else{echo"<small>Пароль или логин неверен!</small>";}

include_once"include/down.php";
?>






